Bio::Roary::PresenceAbsenceMatrix(3pm)

NAME
Bio::Roary::PresenceAbsenceMatrix - Create a matrix with presence and absence

VERSION
version 3.13.0

SYNOPSIS
Create a matrix with presence and absence. Since its computationally intensive to generate the inputs, calculate them once in the GroupStatistics module and pass them through.
   use Bio::Roary::PresenceAbsenceMatrix;

   my $obj = Bio::Roary::PresenceAbsenceMatrix->new(
     annotate_groups_obj => $annotate_groups_obj,
     output_filename     => 'gene_presence_absence.Rtab',
     sorted_file_names   => $sorted_file_names,
     groups_to_files     => $groups_to_files,
     num_files_in_groups => $num_files_in_groups,
     sample_headers      => $sample_headers,
   );
   $obj->create_matrix_file;

AUTHOR
Andrew J. Page <ap13@sanger.ac.uk>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2013 by Wellcome Trust Sanger Institute.

This is free software, licensed under:

  The GNU General Public License, Version 3, June 2007